Search documentation of bb

# BB.Error.Kinematics.Singularity exception (bb v0.17.0)

Copy Markdown View Source

Robot is near or at a kinematic singularity.

Raised when the robot configuration is near a singular point where the Jacobian becomes ill-conditioned and motion control degrades.

## Summary

### Functions

exception(args)

Create an `Elixir.BB.Error.Kinematics.Singularity` without raising it.

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Kinematics.Singularity{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      joint_positions: term(),
      manipulability: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      threshold: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Kinematics.Singularity` without raising it.

## Keys

- :joint_positions
- :manipulability
- :threshold